import { Json } from "../common/types.js";
export interface FileStorageOptions {
    pretty?: boolean;
    path?: string;
}
export declare class FileStorage {
    private store;
    private dirname;
    private fileKeys?;
    private pretty;
    constructor(opt?: FileStorageOptions);
    setItem(key: string, value: Json): void;
    getItem(key: string): Json | null;
    removeItem(key: string): void;
    clear(): void;
    allKeys(): string[];
}
